Package weka.gui.explorer

# Class PreprocessPanel.PreprocessDefaults

java.lang.Object
weka.core.Defaults
weka.gui.explorer.PreprocessPanel.PreprocessDefaults

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  PreprocessPanel

public static class PreprocessPanel.PreprocessDefaults extends Defaults

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static boolean`
  `ALWAYS_SEND_INSTANCES_TO_ALL`
  `static final Settings.SettingKey`
  `ALWAYS_SEND_INSTANCES_TO_ALL_KEY`
  `static final Boolean`
  `ENABLE_UNDO`
  `static final Settings.SettingKey`
  `ENABLE_UNDO_KEY`
  `static final Filter`
  `FILTER`
  `static final Settings.SettingKey`
  `FILTER_KEY`
  `static final String`
  `ID`
  `static final File`
  `INITIAL_DIR`
  `static final Settings.SettingKey`
  `INITIAL_DIR_KEY`
  `static final File`
  `UNDO_DIR`
  `static final Settings.SettingKey`
  `UNDO_DIR_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreprocessDefaults()`

- ## Method Summary

  ### Methods inherited from class weka.core.Defaults

  `add, getDefaults, getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### INITIAL_DIR_KEY

    public static final Settings.SettingKey INITIAL_DIR_KEY

  - ### INITIAL_DIR

    public static final File INITIAL_DIR

  - ### UNDO_DIR_KEY

    public static final Settings.SettingKey UNDO_DIR_KEY

  - ### UNDO_DIR

    public static final File UNDO_DIR

  - ### FILTER_KEY

    public static final Settings.SettingKey FILTER_KEY

  - ### FILTER

    public static final Filter FILTER

  - ### ENABLE_UNDO_KEY

    public static final Settings.SettingKey ENABLE_UNDO_KEY

  - ### ENABLE_UNDO

    public static final Boolean ENABLE_UNDO

  - ### ALWAYS_SEND_INSTANCES_TO_ALL_KEY

    public static final Settings.SettingKey ALWAYS_SEND_INSTANCES_TO_ALL_KEY

  - ### ALWAYS_SEND_INSTANCES_TO_ALL

    public static boolean ALWAYS_SEND_INSTANCES_TO_ALL

- ## Constructor Details

  - ### PreprocessDefaults

    public PreprocessDefaults()